#include <utility>
#include "locmin.h"
std::pair<int, int> find_locmin_point(int N, int M){
    N=1;
    long long st=1,dr=M,mij,a,b,c;
    while(st<=dr){
        mij=(st+dr)/2;
        if(mij>1){
            a=value(1,mij-1);
        }
        else{
            a=1000000000000;
        }
        b=value(1,mij);
        if(mij<M){
            c=value(1,mij+1);
        }
        else{
            c=1000000000000;
        }
        if(a>b && c>b){
                cout<<mij;
            return {1,mij};
        }
        else if(a>b){
            st=mij+1;
        }
        else if(c>b){
            dr=mij-1;
        }
        else{
            dr=mij-1;
        }
    }
    return {1,st};
}